import request from '@/utils/request'

// 查询疫情防控-任务负责人列表
export function listTaskBelong(query) {
  return request({
    url: '/yiqing/taskBelong/list',
    method: 'get',
    params: query
  })
}

// 查询疫情防控-任务负责人详细
export function getTaskBelong(taskBelongId) {
  return request({
    url: '/yiqing/taskBelong/' + taskBelongId,
    method: 'get'
  })
}

// 新增疫情防控-任务负责人
export function addTaskBelong(data) {
  return request({
    url: '/yiqing/taskBelong',
    method: 'post',
    data: data
  })
}

// 修改疫情防控-任务负责人
export function updateTaskBelong(data) {
  return request({
    url: '/yiqing/taskBelong',
    method: 'put',
    data: data
  })
}

// 删除疫情防控-任务负责人
export function delTaskBelong(taskBelongId) {
  return request({
    url: '/yiqing/taskBelong/' + taskBelongId,
    method: 'delete'
  })
}

// 导出疫情防控-任务负责人
export function exportTaskBelong(query) {
  return request({
    url: '/yiqing/taskBelong/export',
    method: 'get',
    params: query
  })
}